Package org.eclipse.emf.cdo.security.impl

## Class ResourceFilterImpl.PathMatcher

- java.lang.Object
- - org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher

- All Implemented Interfaces:
    `ResourceFilterImpl.Matcher`
  Direct Known Subclasses:
    `ResourceFilterImpl.AntMatcher`, `ResourceFilterImpl.ExactMatcher`, `ResourceFilterImpl.TreeMatcher`
  Enclosing class:
    ResourceFilterImpl

      protected abstract static class ResourceFilterImpl.PathMatcher
      extends java.lang.Object
      implements ResourceFilterImpl.Matcher

  Matches the path of a `resource node` against a `path` string.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `path` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PathMatcher​(java.lang.String path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.Matcher

      `getParentPatternStyle, matches`

- - ### Field Detail

    - #### path

          protected final java.lang.String path

  - ### Constructor Detail

    - #### PathMatcher

          public PathMatcher​(java.lang.String path)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`